Subject: Re: [PATCH v3 0/5] commit: support commit.verbose and --no-verbose

From: Caleb Thompson <[email-masked]>
Date: Mon, 26 May 2014 17:40:15 -0500

Great, thanks Jeremiah!

I made that change, and will send up another patch version in the next day or so
while I wait on others who may have input.

I'm really appreciative of everyone's feedback!

Caleb

------------------------------------>8----------------------------------

diff --git a/t/t7507-commit-verbose.sh b/t/t7507-commit-verbose.sh
index b9eb317..88de624 100755
--- a/t/t7507-commit-verbose.sh
+++ b/t/t7507-commit-verbose.sh
@@ -53,7 +53,7 @@ test_expect_success 'verbose diff is stripped out (mnemonicprefix)' '
        check_message message
 '
 
-test_expect_success 'commit shows verbose diff with set commit.verbose=true' '
+test_expect_success 'commit shows verbose diff with commit.verbose true' '
        echo morecontent >>file &&
        git add file &&
        test_config commit.verbose true &&
@@ -61,7 +61,7 @@ test_expect_success 'commit shows verbose diff with set commit.verbose=true' '
        git commit --amend
 '
 
-test_expect_success 'commit --verbose overrides verbose=false' '
+test_expect_success 'commit --verbose overrides commit.verbose false' '
        echo evenmorecontent >>file &&
        git add file &&
        test_config commit.verbose false  &&
@@ -69,7 +69,7 @@ test_expect_success 'commit --verbose overrides verbose=false' '
        git commit --amend --verbose
 '
 
-test_expect_success 'commit does not show verbose diff with commit.verbose=false' '
+test_expect_success 'commit does not show verbose diff with commit.verbose false' '
        echo evenmorecontent >>file &&
        git add file &&
        test_config commit.verbose false &&
@@ -77,7 +77,7 @@ test_expect_success 'commit does not show verbose diff with commit.verbose=false
        git commit --amend
 '
 
-test_expect_success 'commit --no-verbose overrides commit.verbose=true' '
+test_expect_success 'commit --no-verbose overrides commit.verbose true' '
        echo evenmorecontent >>file &&
        git add file &&
        test_config commit.verbose true &&

On Mon, May 26, 2014 at 03:34:20PM -0700, Jeremiah Mahler wrote:
> Caleb,
> 
> On Mon, May 26, 2014 at 01:56:21PM -0500, Caleb Thompson wrote:
> > This patch allows people to set commit.verbose to implicitly send
> > --verbose to git-commit. It also introduces --no-verbose to
> > override the configuration setting.
> > 
> > This version incorporates changes suggested by Eric Sunshine, Duy
> > Nguyen, and Jeremiah Mahler.
> > 
> ...
> > 
> 
> Other than the minor style issue I pointed out in another email, it looks
> good, and the patch set works properly on my machine.
> 
> -- 
> Jeremiah Mahler
> [email-masked]
> http://github.com/jmahler